Summary:        PEAR: Horde Memcache API

Name:           php-pear-Horde-Memcache
Version:        2.0.7
Release:        1.lux.1
License:        LGPLv3
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Memcache-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Memcache
BuildRequires:	php-pear >= 1.7.0
Requires:       php-pecl-memcache
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php-pecl-memcache >= 2.0.0
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pecl-memcache >= 2.0.0
BuildArch:      noarch
%define pear_name  Horde_Memcache
%define pear_sname horde_Memcache

%description
The Horde_Memcache library provides an API to access a memcache
installation in Horde code.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up unnecessary files
rm -rf pearrc
rm -rf {%{buildroot}%{pear_phpdir}/.channels,%{buildroot}%{pear_phpdir}/.filemap,%{buildroot}%{pear_phpdir}/.lock,%{buildroot}%{pear_phpdir}/.depdb,%{buildroot}%{pear_phpdir}/.registry,%{buildroot}%{pear_phpdir}/.depdblock}

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/Horde_Memcache.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_Memcache.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Memcache
fi

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{pear_phpdir}/Horde/*
%{pear_xmldir}/Horde_Memcache.xml

%changelog
